[SciPy-dev] Extensions linking to libraries used by numpy/scipy

Robert Kern robert.kern at gmail.com
Tue Mar 7 12:04:29 CST 2006


Tom Loredo wrote:
> Robert Kern wrote:
> 
> 
>>I'm using OS X 10.4, although I think I build with ATLAS. I think you
>>should at least have flapack. Can you successfully call any of the functions
>>from scipy.linalg? What versions of numpy/scipy are you using? Can you try "from
>>scipy.linalg import flapack"? What does
>>
>>In [3]: from numpy import linalg as n_linalg
>>
>>In [4]: from scipy import linalg as s_linalg
>>
>>In [5]: n_linalg is s_linalg
>>Out[5]: False
>>
>>give you?
> 
> The following is with OS 10.3.9, MacPython 2.4.1, Numpy 0.9.5,
> and Scipy 0.4.6:
> 
> In [1]: from numpy import linalg as n_linalg
> 
> In [2]: from scipy import linalg as s_linalg
> 
> In [3]: n_linalg is s_linalg
> Out[3]: True
> 
> In [4]: from scipy.linalg import flapack
> 
> In [5]: scipy.linalg.flapack.dgetrf._cpointer
> Out[6]: <PyCObject object at 0x105c1a0>                                         

http://projects.scipy.org/scipy/scipy/changeset/1617

-- 
Robert Kern
robert.kern at gmail.com

"I have come to believe that the whole world is an enigma, a harmless enigma
 that is made terrible by our own mad attempt to interpret it as though it had
 an underlying truth."
  -- Umberto Eco




More information about the Scipy-dev mailing list